%global pypi_name argon2-cffi

Name:           python-%{pypi_name}
Version:        19.1.0
Release:        1%{?dist}
Summary:        The secure Argon2 password hashing algorithm

License:        MIT
URL:            https://argon2-cffi.readthedocs.io/
Source0:        https://files.pythonhosted.org/packages/aa/bb/d620acb83d6e7d0a1f896557524b85e058500bd858ee814d467428718811/argon2_cffi-19.1.0.tar.gz
# %{pypi_source}
 
BuildRequires:  python3-devel
BuildRequires:  gcc
BuildRequires:  pkgconfig(libargon2)
BuildRequires:  python3dist(cffi)
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(sphinx)

%description
 CFFI-based Argon2 Bindings for Python

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(cffi) >= 1.0.0
Requires:       python3dist(hypothesis)
Requires:       python3dist(pytest)
Requires:       python3dist(six)

%description -n python3-%{pypi_name}
 CFFI-based Argon2 Bindings for Python

%package -n python-%{pypi_name}-doc
Summary:        Documentation for argon2-cffi
%description -n python-%{pypi_name}-doc
Documentation for argon2-cffi

%prep
%autosetup -n argon2_cffi-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# using system libargon
rm -rf extras/libargon2/LICENSE docs/license.rst 
rm -rf extras/libargon2/README.md

%build
export ARGON2_CFFI_USE_SYSTEM=1
%py3_build
# generate html docs 
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
export k='not test_argument_ranges'
%{__python3} setup.py test


%files -n python3-%{pypi_name}
%license LICENSE 
%doc README.rst
%{python3_sitearch}/argon2
%{python3_sitearch}/argon2_cffi-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE


%changelog
* Fri Jun 14 2019 Pavlo Rudyi <paulcarroty@fedoraproject.org> - 19.1.0-1
- initial build

